=== debian/changelog ===
pyside2 (5.15.0-6+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 5.11.2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 23 Dec 2018 23:25:45 +0000]
  * Remove armhf from qtwebengine architecture lists.
  * Fix clean target.

  [changes introduced in 5.13.2-3+rpi1 by Peter Michael Green]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 18 Dec 2020 18:57:52 +0000

pyside2 (5.15.0-6) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pyside2-doc, shiboken2-doc: Add Multi-Arch: foreign.
    + libshiboken2-dev, python3-pyside2.qt*: Add Multi-Arch: same.

  [ Dmitry Shachnev ]
  * Drop ftbfs-old-qt.patch. Not needed since Debian has Qt 5.15.
  * Stop hardcoding py3.8 in debian/shiboken2-doc.docs (closes: #976900).
  * Blacklist QtWidgets::bug_307 test for now (closes: #976516).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 14 Dec 2020 20:31:39 +0300

pyside2 (5.15.0-5) unstable; urgency=medium

  * Team upload.
  * Run tests with QSG_NO_DEPTH_BUFFER=1 on mips64el (see #868745).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 19 Oct 2020 21:50:57 +0300

pyside2 (5.15.0-4) unstable; urgency=medium

  * Team upload.
  * Drop preload-libglx-mesa.patch, not needed with glibc ≥ 2.31-1.
  * Backport upstream patch to add support for Python 3.9 (closes: #972194).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Oct 2020 20:06:52 +0300

pyside2 (5.15.0-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Bump Qt build-dependencies to 5.14. As most Qt packages have a
    Build-Depends-Package field in their symbols files, dpkg-shlibdeps will
    use that information and generate a runtime dependency on a new enough
    Qt version (closes: #963983).

  [ Kurt Kremitzki ]
  * Remove Freexian folks and add myself to Uploaders
  * Correct libshiboken2 CMake include path (Closes: #964201)

 -- Kurt Kremitzki <kkremitzki@debian.org>  Sun, 05 Jul 2020 05:13:51 -0500

pyside2 (5.15.0-2) unstable; urgency=medium

  * Team upload.
  * Preload libGLX_mesa.so.0 in web_engine_initialize.py, to work around
    test failure on arm64 (closes: #963709).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Jun 2020 15:26:26 +0300

pyside2 (5.15.0-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload
  * Upload to unstable
  * Drop trailing spaces from changelog file
  * Bump compat level to 13
  * Bump std-version to 4.5.0
  * Add R^3: no

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 25 Jun 2020 21:15:20 -0500

pyside2 (5.15.0-1~exp1) experimental; urgency=medium

  [ Steve Langasek ]
  * Add test dependency on python3-all to fix autopkgtests (Closes: #950127)

  [ Gianfranco Costamagna ]
  * Add python3-distro needed for tests.
  * Drop "uic" and "rcc" from control file, removed upstream (LP: #1874095)
  * Add missing Breaks/Replaces for upgrading from previous version
    (Closes: #949339)
  * Drop pyside2uic tests, dropped upstream
  * New upstream version 5.15.0 (Closes: #950126, Closes: #960008)
  * Drop old Fix-build-with-Qt-5.12, addressed upstream
  * Add patch to fix build failures with old qt implementation
  * Refresh patches
  * Bump copyright years
  * Bump soname to 15
  * Drop manpage, removed upstream
  * Use llvm-9 to build, fixing a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jun 2020 14:48:45 +0200
