=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               graphviz,
               libclang-9-dev,
               libqt5charts5-dev (>= 5.14),
               libqt5datavisualization5-dev (>= 5.14) [!mips64el !mipsel !mips],
               libqt5opengl5-dev (>= 5.14),
               libqt5scxml5-bin (>= 5.14),
               libqt5scxml5-dev (>= 5.14),
               libqt5sensors5-dev (>= 5.14),
               libqt5svg5-dev (>= 5.14),
               libqt5texttospeech5-dev (>= 5.14),
               libqt5webchannel5-dev (>= 5.14),
               libqt5webkit5-dev (>= 5.14),
               libqt5websockets5-dev (>= 5.14),
               libqt5x11extras5-dev (>= 5.14),
               libqt5xmlpatterns5-dev (>= 5.14),
               libxml2-dev,
               libxslt1-dev,
               llvm-9-dev,
               patchelf [!mips64el !mipsel !mips],
               python3-all-dev,
               python3-distro,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qml-module-qtquick-controls (>= 5.14),
               qml-module-qtquick-layouts (>= 5.14),
               qml-module-qtquick2 (>= 5.14),
               qt3d-assimpsceneimport-plugin (>= 5.14),
               qt3d-defaultgeometryloader-plugin (>= 5.14),
               qt3d-gltfsceneio-plugin (>= 5.14),
               qt3d-scene2d-plugin (>= 5.14),
               qt3d5-dev (>= 5.14),
               qt5-qmake (>= 5.14),
               qt5-qmake-bin (>= 5.14),
               qtbase5-dev (>= 5.14),
               qtbase5-private-dev (>= 5.14),
               qtchooser,
               qtdeclarative5-dev (>= 5.14),
               qtdeclarative5-private-dev (>= 5.14),
               qtlocation5-dev (>= 5.14),
               qtmultimedia5-dev (>= 5.14),
               qtpositioning5-dev (>= 5.14),
               qtscript5-dev (>= 5.14),
               qttools5-dev (>= 5.14),
               qtwebengine5-dev (>= 5.14) [amd64 arm64 i386 mipsel],
               xvfb,
               xauth
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Replaces: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Provides: libpyside2-py3
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15 (= ${binary:Version})
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Multi-Arch: same
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Replaces: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Provides: libshiboken2-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libshiboken2-py3-5.15 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
Multi-Arch: same
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-pyside2.qtcore
Description: development tools for PySide2 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Multi-Arch: same
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qt3dcore, python3-pyside2.qtcore, python3-pyside2.qtgui
Multi-Arch: same
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork, python3-pyside2.qtqml,
 python3-pyside2.qtgui
Multi-Arch: same
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python3-pyside2.qtpositioning
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Multi-Arch: same
Description: Python bindings for Qt5 Positioning module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtPositioning module.

Package: python3-pyside2.qtx11extras
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Multi-Arch: same
Description: Python bindings for Qt5 X11Extras module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtX11Extras module.

Package: python3-pyside2.qtqml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork
Multi-Arch: same
Description: Python bindings for Qt5 Qml module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQml module.

Package: python3-pyside2.qtwebenginecore
Architecture: amd64 arm64 i386 mipsel
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Multi-Arch: same
Description: Python bindings for Qt5 WebEngineCore module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWebEngineCore module.

Package: python3-pyside2.qttexttospeech
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Multi-Arch: same
Description: Python bindings for Qt5 TextToSpeech module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtTextToSpeech module.

Package: python3-pyside2.qthelp
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtwidgets, python3-pyside2.qtcore, python3-pyside2.qtgui
Multi-Arch: same
